#include <TMath.h>
/////////////////////////////////////CONSTANTS/////////////////////////////////////////////////

//Used runIds
const int runId_min = 12126101;
const int runId_max = 12134068;

// Constants
const Double_t cutVtxZ = 40.;
const std::map<Float_t, Double_t> cutVtxZEnergy = {{7.7, 70.}, {11.5, 50.}, {19.6, 70}, {27., 70.}, {39., 40.}, {62., 40.}, {200., 30.}};
const int fArraySize = 2;  // vertex pos/neg
const int fNharmonics = 2; // v2 and v3
const int fNBins = runId_max - runId_min + 1;

//Event cuts
const Double_t cutVtxR = 2.;
const Double_t cutVtxZvpd = 3.;
const Int_t cutNTofPoints = 2.;
const Double_t cutVpdVz = 3.;

//Track cuts
const std::map<Float_t, Double_t> cutDCA = {{7.7, 1.}, {11.5, 1.}, {19.6, 1.}, {27., 1.}, {39., 1.}, {62., 1.}, {200., 3.}};
const Double_t cutDCA_PID = 1.;
const Double_t cutEta = 1.;
const Int_t    cutNhits = 15;
const Double_t cutPtotMin = 0.1;
const Double_t cutNhitsPoss = 0.;
const Double_t cutNhitsRatio = 0.51;
const std::map<Float_t, Double_t> cutPtMin = {{7.7, 0.2}, {11.5, 0.2}, {19.6, 0.2}, {27., 0.2}, {39., 0.2}, {62., 0.2}, {200., 0.15}};
const Double_t cutPtMax = 2.;
const Double_t cutPMax = 10.;

//PID cuts
const Double_t cutMass2Min = -10.;
const Double_t cutNsigPID = 2.5;

//ReCentering
const Double_t cutPtWeightEP = 2.;
const std::vector<Double_t> cutEtaGap = {0.05,0.1,0.2,0.5};
const Int_t    NEtaGaps = cutEtaGap.size();

//Shift Corrections
const Int_t NShiftOrderMax = 4;
const Int_t cutNcountQvFull = 4;
const Int_t cutNcountQvGap = 2;
const Int_t cutNcountQvFullEast = 0;
const Int_t cutNcountQvFullWest = 0;
const std::vector<Double_t> shiftOrderCoeff2 = {2.0, 4.0, 6.0, 8.0, 10.0};
const std::vector<Double_t> shiftOrderCoeff3 = {3.0, 6.0, 9.0, 12.0, 15.0};

//Energy of the collision
const Double_t energy = 200.;

//PID
const double pionMassSqr = TMath::Power(0.13957061, 2);
const double kaonMassSqr = TMath::Power(0.493677, 2);
const double protMassSqr = TMath::Power(0.938272081, 2);

const double NpidFactor = 2;

const double Nquarks[3] = {2.,2.,3.}; // pion, kaon, proton
const double MassSqr[3] = {pionMassSqr, kaonMassSqr, protMassSqr};

/////////////////////////////////////CONSTANTS/////////////////////////////////////////////////
