#include <iostream>
#include <stdlib.h>
#include "FemtoDstAnalyzer_FlowChargedHadrons.C"

int main(int argc, char** argv)
{
  TString inFileName, outFileName, reCentFileName, shiftFileName, resFileName;
  Float_t energy;
  if (argc < 11)
  {
    std::cerr << "./flowCH -i INPUTFILE -o OUTPUTFILE -reCent RECENTERINGFILE -shift SHIFTCORRFILE -resolution RESOLUTIONFILE" << std::endl;
    return 10;
  }

  for (int i=1;i<argc;i++)
  {
    if (std::string(argv[i]) != "-i" &&
        std::string(argv[i]) != "-o" &&
	std::string(argv[i]) != "-reCent" &&
	std::string(argv[i]) != "-shift" &&
	std::string(argv[i]) != "-resolution")
    {
      std::cerr << "\nUnknown parameter: " << argv[i] << std::endl;
      return 11;
    }
    else
    {
      if (std::string(argv[i]) == "-i" && i != argc-1)
      {
        inFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-i" && i == argc-1)
      {
        std::cerr << "\nInput file was not specified!" << std::endl;
	return 12;
      }
      if (std::string(argv[i]) == "-o" && i != argc-1)
      {
        outFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-o" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-reCent" && i != argc-1)
      {
        reCentFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-reCent" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-shift" && i != argc-1)
      {
        shiftFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-shift" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-resolution" && i != argc-1)
      {
        resFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-resolution" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
    }
  }
  if (inFileName == "" || outFileName == "" || reCentFileName == "" || shiftFileName == "" || resFileName == "")
  {
    std::cerr << "\nInput/Output file has not been set properly!" << std::endl;
    return 14;
  }

  FemtoDstAnalyzer_FlowChargedHadrons(inFileName.Data(),outFileName.Data(),reCentFileName.Data(),shiftFileName.Data(),resFileName.Data());

  return 0;
}
