#include <iostream>
#include <stdlib.h>
#include "FemtoDstAnalyzer_FlowPIDHadrons.C"

int main(int argc, char** argv)
{
  TString inFileName, outFileName, reCentFileName, shiftFileName, resFileName, pidFileName;
  Float_t energy;
  if (argc < 13)
  {
    std::cerr << "./flowPID -i INPUTFILE -o OUTPUTFILE -reCent RECENTERINGFILE -shift SHIFTCORRFILE -resolution RESOLUTIONFILE -pid PIDFITFILE" << std::endl;
    return 10;
  }

  for (int i=1;i<argc;i++)
  {
    if (std::string(argv[i]) != "-i" &&
        std::string(argv[i]) != "-o" &&
	std::string(argv[i]) != "-reCent" &&
	std::string(argv[i]) != "-shift" &&
	std::string(argv[i]) != "-resolution" &&
	std::string(argv[i]) != "-pid")
    {
      std::cerr << "\nUnknown parameter: " << argv[i] << std::endl;
      return 11;
    }
    else
    {
      if (std::string(argv[i]) == "-i" && i != argc-1)
      {
        inFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-i" && i == argc-1)
      {
        std::cerr << "\nInput file was not specified!" << std::endl;
	return 12;
      }
      if (std::string(argv[i]) == "-o" && i != argc-1)
      {
        outFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-o" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-reCent" && i != argc-1)
      {
        reCentFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-reCent" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-shift" && i != argc-1)
      {
        shiftFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-shift" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-resolution" && i != argc-1)
      {
        resFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-resolution" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-pid" && i != argc-1)
      {
        pidFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-pid" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
    }
  }
  if (inFileName == "" || outFileName == "" || reCentFileName == "" || shiftFileName == "" || resFileName == "" || pidFileName == "")
  {
    std::cerr << "\nInput/Output file has not been set properly!" << std::endl;
    return 14;
  }

  FemtoDstAnalyzer_FlowPIDHadrons(inFileName.Data(),outFileName.Data(),reCentFileName.Data(),shiftFileName.Data(),resFileName.Data(),pidFileName.Data());

  return 0;
}
