#include <iostream>
#include <stdlib.h>
#include "FemtoDstAnalyzer_ShiftCorr.C"

int main(int argc, char** argv)
{
  TString inFileName, outFileName, reCentFileName;
  Float_t energy;
  TStopwatch timer;
  if (argc < 7)
  {
    std::cerr << "./shiftCorr -i INPUTFILE -o OUTPUTFILE -reCent RECENTERINGFILE" << std::endl;
    return 10;
  }

  for (int i=1;i<argc;i++)
  {
    if (std::string(argv[i]) != "-i" &&
        std::string(argv[i]) != "-o" &&
	std::string(argv[i]) != "-reCent")
    {
      std::cerr << "\nUnknown parameter: " << argv[i] << std::endl;
      return 11;
    }
    else
    {
      if (std::string(argv[i]) == "-i" && i != argc-1)
      {
        inFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-i" && i == argc-1)
      {
        std::cerr << "\nInput file was not specified!" << std::endl;
	return 12;
      }
      if (std::string(argv[i]) == "-o" && i != argc-1)
      {
        outFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-o" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
      if (std::string(argv[i]) == "-reCent" && i != argc-1)
      {
        reCentFileName = TString(argv[++i]);
      }
      if (std::string(argv[i]) == "-reCent" && i == argc-1)
      {
        std::cerr << "\nOutput file was not specified!" << std::endl;
	return 13;
      }
    }
  }
  if (inFileName == "" || outFileName == "" || reCentFileName == "")
  {
    std::cerr << "\nInput/Output file has not been set properly!" << std::endl;
    return 14;
  }

  FemtoDstAnalyzer_ShiftCorr(inFileName.Data(),outFileName.Data(),reCentFileName.Data());

  return 0;
}
